# const_mem_fun_t< void, _Tp > Class Template Reference
[Adaptors for pointers to members]

Inheritance diagram for const_mem_fun_t< void, _Tp >:

List of all members.

### template<class _Tp>
class std::const_mem_fun_t< void, _Tp >

## Public Types

- typedef const _Tp * argument_type
- typedef void result_type

## Public Member Functions

- const_mem_fun_t (void(_Tp::*__pf)() const)
- void operator() (const _Tp *__p) const

## Member Typedef Documentation

typedef const _Tp * argument_type `[inherited]`

| `argument_type` is the type of the Definition at line 104 of file stl_function.h.

typedef void result_type `[inherited]`

| argument (no surprises here) `result_type` is the return type Definition at line 107 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h